Subject: RE: [dhcwg] One comment on draft-ietf-dhc-3315id-for-v4-05.txt

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Thu, 10 Nov 2005 16:10:07 -0500

That's why there is an Identity Association included.

The DUID identifies the client (and it is one identity instead of many).

The Identity Association is the second piece of the identity. So a
client that has multiple interfaces has (at least) a unique identity
association for each of those interfaces. (Client may have more identity
associations if they wanted multiple addresses PER interface.)

- Bernie 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Andrea G Forte
> Sent: Thursday, November 10, 2005 3:55 PM
> To: [email-masked]
> Subject: [dhcwg] One comment on draft-ietf-dhc-3315id-for-v4-05.txt
> 
> I have not followed the exchange of comments regarding this draft, so 
> please forgive me if this issue has already been discussed. 
> However, one 
> comment I have is that this draft seems to be useful only if 
> I have more 
> than one network card on the same subnet (the change of 
> chassis and/or 
> the change of NIC are less common especially nowadays with 
> more and more 
> devices with built-in wireless/wired ethernet). In many 
> cases, wireless 
> and wired networks belong to different subnets, in such a 
> case we would 
> still have different IPs on different NICs, so the client would still 
> appear as it has intermittent connectivity when switching from one to 
> the other. Furthermore, if we have the two cards (wireless 
> and wired) on 
> the same subnet, using the same IP address on both would 
> create a lot of 
> problems if (for whatever reason) I decide to use both of the 
> cards at 
> the same time.
> 
> -Andrea
> 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Andrea G Forte <[email-masked]>
Date: Thu, 10 Nov 2005 16:43:03 -0500

Yes, I understand about IAID. I guess what I was trying to say is that 
we have to be careful at how the "multiple identities" problem is 
addressed as the DHCP server/client does not know how the user will use 
the different network interfaces. If I just want to switch between wired 
and wireless in the same subnet, having the same IP address for both 
interfaces might be a good idea (same identity and no intermittent 
connectivity), however if I want to use the two interfaces at the same 
time, then I need to have two different IP addresses.

-Andrea

---

From: Ted Lemon <[email-masked]>
Date: Thu, 10 Nov 2005 15:00:12 -0700

On Thursday 10 November 2005 14:43, Andrea G Forte wrote:
> I want to use the two interfaces at the same

If you want to use both interfaces on the same wire at the same time, and want 
to have different IP addresses for both, you simply specify different IAIDs.   
If you want to get the same address if both interfaces are on the same wire, 
you use the same IAID.   Because DHCP is sensitive to network topology, if 
the two interfaces are not in fact connected to the same wire, they should 
get different IP addresses even when they use the same IAID.